package com.zd.laboratory.service;

import java.util.List;

import com.zd.common.core.domain.R;
import com.zd.laboratory.domain.LabViolationScoreSite;

/**
 * 违规项扣分设置Service接口
 *
 * @author zd
 * @date 2021-12-13
 */
public interface ILabViolationScoreSiteService
{
    /**
     * 查询违规项扣分设置
     *
     * @param id 违规项扣分设置主键
     * @return 违规项扣分设置
     */
    public LabViolationScoreSite selectLabViolationScoreSiteById(Long id);

    /**
     * 查询违规项扣分设置列表
     *
     * @param labViolationScoreSite 违规项扣分设置
     * @return 违规项扣分设置集合
     */
    public List<LabViolationScoreSite> selectLabViolationScoreSiteList(LabViolationScoreSite labViolationScoreSite);

    /**
     * 查询违规项字典列表
     *
     * @return 违规项扣分设置集合
     */
    public List<LabViolationScoreSite> selectLabScoreSiteList();

    /**
     * 新增违规项扣分设置
     *
     * @param labViolationScoreSite 违规项扣分设置
     * @return 结果
     */
    public int insertLabViolationScoreSite(LabViolationScoreSite labViolationScoreSite);

    /**
     * 修改违规项扣分设置
     *
     * @param labViolationScoreSite 违规项扣分设置
     * @return 结果
     */
    public int updateLabViolationScoreSite(LabViolationScoreSite labViolationScoreSite);

    /**
     * 批量删除违规项扣分设置
     *
     * @param ids 需要删除的违规项扣分设置主键集合
     * @return 结果
     */
    public int deleteLabViolationScoreSiteByIds(Long[] ids);

    /**
     * 删除违规项扣分设置信息
     *
     * @param id 违规项扣分设置主键
     * @return 结果
     */
    public int deleteLabViolationScoreSiteById(Long id);

    List<LabViolationScoreSite> selectLabViolationScore();

    int delScoreSiteAll();

    public R getSiteCount();
}
